
%global libname compat-libtidy
%global snap 20091203

Name:    compat-tidy
Summary: Compatibility utility and library to clean up and pretty print HTML/XHTML/XML
Version: 0.99.0
Release: 37.%{snap}%{?dist}

License: W3C
URL:     http://tidy.sourceforge.net/

Source0: tidy-%{snap}cvs.tar.gz
Source10: tidy-cvs_checkout.sh

Patch0: tidy-20091203cvs-format.patch
Patch1: tidy-CVE-2015-5522.patch
Patch2: tidy-issue341.patch
Patch3: tidy-issue379.patch

BuildRequires: libtool

## omitted, not (currently) providing any main pkg with binaries
#Requires: %{libname}%{?_isa} = %{version}-%{release}

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if
there was a simple way to fix these mistakes automatically and tidy up
sloppy editing into nicely layed out markup? Well now there is! Dave
Raggett's HTML TIDY is a free utility for doing just that. It also
works great on the atrociously hard to read markup generated by
specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages
more accessible to people with disabilities.

%package -n %{libname}
Summary: Shared libraries for %{name}
# Upgrade path for libtidy-0.99.0
Obsoletes: libtidy < 0.99.0-35
%description -n %{libname}
%{summary}.

%package -n %{libname}-devel
Summary: Development files for %{name}
# this compat-libtidy-devel conflicts with v5 and newer
# not intended to parallel-installable
Conflicts: libtidy-devel > 5.0
Obsoletes: libtidy-devel < 0.99.0-35
Provides:  libtidy-devel = %{version}-%{release}
Requires: %{libname}%{?_isa} = %{version}-%{release}
%description -n %{libname}-devel
%{summary}.


%prep
%setup -q -n tidy
%patch0 -p1 -b .format
%patch1 -p1 -b .CVE-2015-5522
%patch2 -p1 -b .issue341
%patch3 -p1 -b .issue379


sh build/gnuauto/setup.sh


%build
%configure \
  --disable-static \
  --disable-dependency-tracking

make %{?_smp_mflags}


%install
# install only bits we want (library + includes, no console binaries)
make install DESTDIR=%{buildroot} -C include
make install DESTDIR=%{buildroot} -C src

## Unpackaged files
rm -fv %{buildroot}%{_libdir}/lib*.la


# can consider omitting this, primarily tests unpackaged tidy binary
%check
cp test/testone.sh{,~}
sed -i 's|TIDY=../bin/tidy|TIDY=../console/tidy|' test/testone.sh
cd test
./testall.sh
mv testone.sh{~,}


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%{_libdir}/libtidy-0.99.so.0*

%files -n %{libname}-devel
%{_includedir}/*.h
%{_libdir}/libtidy.so


%changelog
* Wed May 24 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.99.0-37.20091203
- Out-of-bounds heap read in TextEndsWithNewline (#1312877)
- Use-after-free caused by mishandling control characters (#1312881)

* Wed May 24 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.99.0-36.20091203
- Security fix for CVE-2015-5522/CVE-2015-5523 (#1228297,#1228299)

* Tue May 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 0.99.0-35.20091203
- minimal compat-libtidy(-devel) (no main pkg or docs)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-34.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-33.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-32.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 03 2013 Pavel Raiskup <praiskup@redhat.com> - 0.99.0-31.20091203
- silence gcc's warnings for -Werror=format-string (#1037356)

* Thu Oct 10 2013 Pavel Raiskup <praiskup@redhat.com> - 0.99.0-30.20091203
- enable testsuite during package build

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-29.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Pavel Raiskup <praiskup@redhat.com> - 0.99.0-28.20091203
- add manual page for tab2space

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-27.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-26.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Rex Dieter <rdieter@fedoraproject.org> 0.99.0-25.20091203
- rebuild 2, the wrath of doxygen (#831423)

* Thu Jun 14 2012 Rex Dieter <rdieter@fedoraproject.org> 0.99.0-24.20091203
- rebuild fyand (for yet another newer doxygen) (#831423)

* Wed Jun 13 2012 Rex Dieter <rdieter@fedoraproject.org> 0.99.0-23.20091203
- rebuild for newer doxygen, avoid html doc multilib conflict (#831423)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-22.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.0-21.20091203
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 03 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.99.0-20.20091203
- 20091203 snapshot
- spec housecleaning
- Tidy erroniously removes whitespace, causing mangled text (#481350)
